<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('taxes', function(Blueprint $table)
		{
			$table->id();

			$table->string('zone',128)->nullable();
			$table->text('description');
			$table->float('rate', 10, 0);

			$table->integer('country_id')->unsigned();
			$table->foreign(['country_id'])->references(['id'])->on('countries');

			$table->unique(['id','country_id']);
			$table->unique(['country_id','zone']);
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('taxes');
	}
};